clan::FrameBufferProvider Class Reference - ClanLib SDK
Description: clan::FrameBufferProvider Class Reference

Public Member Functions | List of all members
clan::FrameBufferProvider Class Referenceabstract
clanDisplay Display

Interface for implementing a FrameBuffer target. More...

`#include <frame_buffer_provider.h>`

## Public Member Functions
virtual | ~FrameBufferProvider ()
virtual void | attach_color (int attachment_index, const RenderBuffer &render_buffer)=0
| Attach color buffer.
virtual void | attach_color (int attachment_index, const Texture1D &texture, int level)=0
| Attach color buffer.
virtual void | attach_color (int attachment_index, const Texture1DArray &texture, int array_index, int level)=0
| Attach color buffer.
virtual void | attach_color (int attachment_index, const Texture2D &texture, int level)=0
| Attach color buffer.
virtual void | attach_color (int attachment_index, const Texture2DArray &texture, int array_index, int level)=0
| Attach color buffer.
virtual void | attach_color (int attachment_index, const Texture3D &texture, int depth, int level)=0
| Attach color buffer.
virtual void | attach_color (int attachment_index, const TextureCube &texture, TextureSubtype subtype, int level)=0
| Attach color buffer.
virtual void | attach_depth (const RenderBuffer &render_buffer)=0
virtual void | attach_depth (const Texture2D &texture, int level)=0
virtual void | attach_depth (const TextureCube &texture, TextureSubtype subtype, int level)=0
virtual void | attach_depth_stencil (const RenderBuffer &render_buffer)=0
virtual void | attach_depth_stencil (const Texture2D &texture, int level)=0
virtual void | attach_depth_stencil (const TextureCube &texture, TextureSubtype subtype, int level)=0
virtual void | attach_stencil (const RenderBuffer &render_buffer)=0
virtual void | attach_stencil (const Texture2D &texture, int level)=0
virtual void | attach_stencil (const TextureCube &texture, TextureSubtype subtype, int level)=0
virtual void | detach_color (int attachment_index)=0
| Detach color buffer.
virtual void | detach_depth ()=0
virtual void | detach_depth_stencil ()=0
virtual void | detach_stencil ()=0
virtual FrameBufferBindTarget | get_bind_target () const =0
virtual Size | get_size () const =0
virtual void | set_bind_target (FrameBufferBindTarget target)=0

## Detailed Description

Interface for implementing a FrameBuffer target.

## Constructor & Destructor Documentation

## ◆ ~FrameBufferProvider()

virtual clan::FrameBufferProvider::~FrameBufferProvider | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## ◆ attach_color() [1/7]

virtual void clan::FrameBufferProvider::attach_color | ( | int | attachment_index,
|  | const RenderBuffer & | render_buffer )
| pure virtual

Attach color buffer.

Parameters

  attachment_index | = value
  render_buffer | = Render Buffer

## ◆ attach_color() [2/7]

virtual void clan::FrameBufferProvider::attach_color | ( | int | attachment_index,
|  | const Texture1D & | texture,
|  | int | level )
| pure virtual

Attach color buffer.

Parameters

  attachment_index | = value
  texture | = Texture
  level | = value

## ◆ attach_color() [3/7]

virtual void clan::FrameBufferProvider::attach_color | ( | int | attachment_index,
|  | const Texture1DArray & | texture,
|  | int | array_index,
|  | int | level )
| pure virtual

Attach color buffer.

Parameters

  attachment_index | = value
  texture | = Texture
  array_index | = value
  level | = value

## ◆ attach_color() [4/7]

virtual void clan::FrameBufferProvider::attach_color | ( | int | attachment_index,
|  | const Texture2D & | texture,
|  | int | level )
| pure virtual

Attach color buffer.

Parameters

  attachment_index | = value
  texture | = Texture
  level | = value

## ◆ attach_color() [5/7]

virtual void clan::FrameBufferProvider::attach_color | ( | int | attachment_index,
|  | const Texture2DArray & | texture,
|  | int | array_index,
|  | int | level )
| pure virtual

Attach color buffer.

Parameters

  attachment_index | = value
  texture | = Texture
  array_index | = value
  level | = value

## ◆ attach_color() [6/7]

virtual void clan::FrameBufferProvider::attach_color | ( | int | attachment_index,
|  | const Texture3D & | texture,
|  | int | depth,
|  | int | level )
| pure virtual

Attach color buffer.

Parameters

  attachment_index | = value
  texture | = Texture
  depth | = value
  level | = value

## ◆ attach_color() [7/7]

virtual void clan::FrameBufferProvider::attach_color | ( | int | attachment_index,
|  | const TextureCube & | texture,
|  | TextureSubtype | subtype,
|  | int | level )
| pure virtual

Attach color buffer.

Parameters

  attachment_index | = value
  texture | = Texture
  subtype | = Texture Subtype
  level | = value
  zoffset | = value

## ◆ attach_depth() [1/3]

virtual void clan::FrameBufferProvider::attach_depth | ( | const RenderBuffer & | render_buffer | ) |
| pure virtual

## ◆ attach_depth() [2/3]

virtual void clan::FrameBufferProvider::attach_depth | ( | const Texture2D & | texture,
|  | int | level )
| pure virtual

## ◆ attach_depth() [3/3]

virtual void clan::FrameBufferProvider::attach_depth | ( | const TextureCube & | texture,
|  | TextureSubtype | subtype,
|  | int | level )
| pure virtual

## ◆ attach_depth_stencil() [1/3]

virtual void clan::FrameBufferProvider::attach_depth_stencil | ( | const RenderBuffer & | render_buffer | ) |
| pure virtual

## ◆ attach_depth_stencil() [2/3]

virtual void clan::FrameBufferProvider::attach_depth_stencil | ( | const Texture2D & | texture,
|  | int | level )
| pure virtual

## ◆ attach_depth_stencil() [3/3]

virtual void clan::FrameBufferProvider::attach_depth_stencil | ( | const TextureCube & | texture,
|  | TextureSubtype | subtype,
|  | int | level )
| pure virtual

## ◆ attach_stencil() [1/3]

virtual void clan::FrameBufferProvider::attach_stencil | ( | const RenderBuffer & | render_buffer | ) |
| pure virtual

## ◆ attach_stencil() [2/3]

virtual void clan::FrameBufferProvider::attach_stencil | ( | const Texture2D & | texture,
|  | int | level )
| pure virtual

## ◆ attach_stencil() [3/3]

virtual void clan::FrameBufferProvider::attach_stencil | ( | const TextureCube & | texture,
|  | TextureSubtype | subtype,
|  | int | level )
| pure virtual

## ◆ detach_color()

virtual void clan::FrameBufferProvider::detach_color | ( | int | attachment_index | ) |
| pure virtual

Detach color buffer.

Parameters

  color_buffer | = value
  texture | = Texture
  level | = value
  zoffset | = value

## ◆ detach_depth()

virtual void clan::FrameBufferProvider::detach_depth | ( |  | ) |
| pure virtual

## ◆ detach_depth_stencil()

virtual void clan::FrameBufferProvider::detach_depth_stencil | ( |  | ) |
| pure virtual

## ◆ detach_stencil()

virtual void clan::FrameBufferProvider::detach_stencil | ( |  | ) |
| pure virtual

## ◆ get_bind_target()

virtual FrameBufferBindTarget clan::FrameBufferProvider::get_bind_target | ( |  | ) | const
| pure virtual

## ◆ get_size()

virtual Size clan::FrameBufferProvider::get_size | ( |  | ) | const
| pure virtual

## ◆ set_bind_target()

virtual void clan::FrameBufferProvider::set_bind_target | ( | FrameBufferBindTarget | target | ) |
| pure virtual

The documentation for this class was generated from the following file:

- frame_buffer_provider.h